import { BlendFunction, LUT3DEffect } from 'postprocessing';
import * as THREE from 'three';
import * as i0 from "@angular/core";
export interface LUTOptions {
    lut: THREE.Texture;
    blendFunction?: BlendFunction;
    tetrahedralInterpolation?: boolean;
}
export declare class NgtpLUT {
    options: import("@angular/core").InputSignal<LUTOptions>;
    private lut;
    private tetrahedralInterpolation;
    private store;
    protected effect: import("@angular/core").Signal<LUT3DEffect>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtpLUT, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgtpLUT, "ngtp-lut", never, { "options": { "alias": "options"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
