import * as THREE from 'three';
import * as i0 from "@angular/core";
export interface NgtpN8AOOptions {
    aoRadius: number;
    aoTones: number;
    distanceFalloff: number;
    intensity: number;
    biasOffset: number;
    biasMultiplier: number;
    aoSamples: number;
    denoiseSamples: number;
    denoiseRadius: number;
    color: THREE.ColorRepresentation;
    halfRes: boolean;
    depthAwareUpsampling: boolean;
    screenSpaceRadius: boolean;
    renderMode: 0 | 1 | 2 | 3 | 4;
    denoiseIterations: number;
    transparencyAware: boolean;
    gammaCorrection: boolean;
    logarithmicDepthBuffer: boolean;
    colorMultiply: boolean;
    accumulate: boolean;
    quality?: 'performance' | 'low' | 'medium' | 'high' | 'ultra';
}
export declare class NgtpN8AO {
    options: import("@angular/core").InputSignalWithTransform<NgtpN8AOOptions, "" | Partial<NgtpN8AOOptions>>;
    private quality;
    private effectComposer;
    protected effect: import("@angular/core").Signal<any>;
    constructor();
    private setQualityEffect;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtpN8AO, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgtpN8AO, "ngtp-n8ao", never, { "options": { "alias": "options"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
